'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = cleanCssLoader;

var _cleanCss = require('clean-css');

var _cleanCss2 = _interopRequireDefault(_cleanCss);

var _loaderUtils = require('loader-utils');

var _loaderUtils2 = _interopRequireDefault(_loaderUtils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function cleanCssLoader(css, map) {
	var that = this;
	var options = that.options ? that.options.module : false;
	var query = _loaderUtils2.default.getOptions(that);
	var cleanCssOptions = query || (options ? options.cleancss || options['clean-css'] || options.CleanCSS : false) || {};
	var callback = that.async();

	return new _cleanCss2.default(cleanCssOptions).minify(css, map, function (err, minified) {
		if (err) {
			if (Array.isArray(err) && err[0]) {
				return callback(err[0]);
			}
			return callback(err);
		}

		if (Array.isArray(minified.warnings)) {
			minified.warnings.forEach(function (msg) {
				that.emitWarning(msg.toString());
			});
		}

		return callback(null, minified.styles, minified.sourceMap);
	});
}
module.exports = exports['default'];